Subject: bug#38035: 27.0.50; Trivial errors in process filters can render Emacs unusable

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 03 Nov 2019 17:39:53 +0100

Eli Zaretskii <[email-masked]> writes:

> The current idea for a fix is to let the error be displayed several
> times, until and unless it is clear that the error is repeatedly
> signaled with a very high frequency, and if so, disable the filter for
> that process.
>
> I think this strikes the right balance between showing the error to
> users and still leaving Emacs in a usable state.

I think that's the right solution, too.

Bu I do wonder about the need for the sleep when signalling errors from
a process filter in particular.  For instance

(run-at-time 1 1 (lambda () (error)))

doesn't pause Emacs at all, but just displays the error as normal, which
seems, well, more normal to me.  What's so special about filter errors
that you have to pause Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no